"""Task that sends out email notifications for failed tasks."""

from orchestrator.services.processes import start_process

from gso.schedules.scheduling import CronScheduleConfig, scheduler
from gso.worker import celery


@celery.task
@scheduler(CronScheduleConfig(name="Send email notifications", hour="2", minute="30"))
def send_email_notifications() -> None:
    """Run this task every night at 2:30 AM."""
    start_process("task_send_email_notifications")
